Bug 201592 - CVE-2006-3835 tomcat directory listing leak (RHAPS2)
CVE-2006-3835 tomcat directory listing leak (RHAPS2)
Status: CLOSED NOTABUG
Product: Red Hat Application Server
Classification: Retired
Component: tomcat (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
impact=moderate,source=cve,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 13:47 EDT by Marcel Holtmann
Modified: 2007-04-18 13:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 16:23:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-08-07 13:47:31 EDT
ScanAlert Security Advisory:

http://archives.neohapsis.com/archives/fulldisclosure/2006-07/0467.html

Apache Tomcat can be forced to reveal a complete directory listing for any
directory by requesting a mapped file extension prepended with a semicolon, a
reserved character. The file does not need to exist.
Comment 4 Marcel Holtmann 2006-08-18 16:22:31 EDT
Check bug 201915 for additional information.

Note You need to log in before you can comment on or make changes to this bug.